Subject: Re: guile2.0-guix times out

From: Marius Bakke <[email-masked]>
Date: Tue, 21 Nov 2017 23:19:07 +0100

Marius Bakke <[email-masked]> writes:

> Hello!
>
> Since the Guix snapshot update to 0.13.0-9.ff23b47, "guile2.0-guix"
> fails to build due to a test timeout:
>
> https://hydra.gnu.org/job/gnu/master/guile2.0-guix-0.13.0-9.ff23b47.x86_64-linux

I bisected this down to this commit:

commit a2985bb101faac9f085176e0329488b91b81dfb5
Author: Ludovic Courtès <[email-masked]>
Date:   Thu Nov 9 23:29:39 2017 +0100

    ui: Provide hints for unbound-variable errors.
    
    * guix/ui.scm (known-variable-definition): New procedure.
    (report-load-error): Handle 'unbound-variable'.

I also noticed that when compiling (guix ui), I get this warning:

warning: unknown warning type `macro-use-before-definition'

...which is helpfully annotated with "new in 2.2" in (guix build compile).

So it seems to be a case of the unbound variable handler failing to
handle this unbound variable, when running tests/guix-package.sh:335.

Any ideas for how to progress?  I'm a little out of my depth here :-)